/* A simple demo using all kinds of buttons

   Written by Mark overmars

   Date: 29 Apr 1991
*/

#include "forms.h"

FL_FORM *form;

FL_OBJECT
        *readyobj;

void create_form_0()
{
  FL_OBJECT *obj;
  form = fl_bgn_form(FL_NO_BOX,350.0,410.0);
  obj = fl_add_box(FL_UP_BOX,0.0,0.0,350.0,410.0,"");
    fl_set_object_color(obj,12,47);
  fl_bgn_group();
  obj = fl_add_roundbutton(FL_RADIO_BUTTON,60.0,320.0,40.0,50.0,"");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_color(obj,36,1);
  obj = fl_add_roundbutton(FL_RADIO_BUTTON,60.0,270.0,40.0,50.0,"");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_color(obj,36,3);
  obj = fl_add_roundbutton(FL_RADIO_BUTTON,60.0,220.0,40.0,50.0,"");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_color(obj,36,2);
  fl_end_group();
  obj = fl_add_lightbutton(FL_PUSH_BUTTON,40.0,150.0,120.0,30.0,"Red");
    fl_set_object_color(obj,39,1);
  obj = fl_add_lightbutton(FL_PUSH_BUTTON,40.0,120.0,120.0,30.0,"Green");
    fl_set_object_color(obj,39,2);
  obj = fl_add_lightbutton(FL_PUSH_BUTTON,40.0,90.0,120.0,30.0,"Blue");
    fl_set_object_color(obj,39,6);
  obj = fl_add_button(FL_NORMAL_BUTTON,150.0,330.0,120.0,30.0,"Button");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,2,1);
  fl_bgn_group();
  obj = fl_add_roundbutton(FL_RADIO_BUTTON,160.0,270.0,120.0,30.0,"Button 1");
  obj = fl_add_roundbutton(FL_RADIO_BUTTON,160.0,230.0,120.0,30.0,"Button 3");
    fl_set_object_color(obj,7,4);
  obj = fl_add_roundbutton(FL_RADIO_BUTTON,160.0,250.0,120.0,30.0,"Button 2");
    fl_set_object_color(obj,7,5);
  fl_end_group();
  readyobj = obj = fl_add_button(FL_NORMAL_BUTTON,210.0,20.0,110.0,30.0,"READY");
  obj = fl_add_box(FL_SHADOW_BOX,200.0,110.0,120.0,90.0,"");
  fl_bgn_group();
  obj = fl_add_button(FL_RADIO_BUTTON,200.0,170.0,120.0,30.0,"One");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_color(obj,47,9);
  obj = fl_add_button(FL_RADIO_BUTTON,200.0,140.0,120.0,30.0,"Two");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_color(obj,47,9);
  obj = fl_add_button(FL_RADIO_BUTTON,200.0,110.0,120.0,30.0,"Three");
    fl_set_object_boxtype(obj,FL_BORDER_BOX);
    fl_set_object_color(obj,47,9);
  fl_end_group();
  fl_end_form();
}

main()
{
  FL_OBJECT *obj;

  fl_init();
  create_form_0();
  
  fl_show_form(form,FL_PLACE_CENTER,FALSE,NULL);
  do obj = fl_do_forms(); while (obj != readyobj);
  fl_hide_form(form);
}
